--#####################################################################
--
--   OCO Source Materials
--
--   Licensed Materials - Property of IBM
--
--   5724-C02
--
--   (C) Copyright IBM Corp. 2003  All Rights Reserved.
--
--   US Government Users Restricted Rights - Use, duplication or
--   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
--######################################################################
--
--   File Information: %W%
--   Revision: %I%
--   Date: %G% %U%
--------------------------------------------------------------------------

------------------------------------------------------------------------
-- Show the Exception Log reported details in the MART.
-- 
-- Change the date value in quotes in the WHERE clause to reflect
-- the dates you want to see the messages for.
------------------------------------------------------------------------

-- Change the TWH_MART below to the correct MART database name if different
CONNECT TO TWH_MART;

COMMIT;

SELECT
	'Exception Occurred Date/Time: ',
	Error_DtTm,
	'Process Name: ',
	Process_Nm,
	'Step Name: ',
	Step_Nm,
	'Table Name: ',
	Table_Nm,
	'Calculation: ',
	Calculation,
	'Resultant Low Value: ',
	Result_Value_Low,
	'Resultant High Value: ',
	Result_Value_High,
	'Resultant Actual Value: ',
	Actual_Value,
	'Exception Message: ',
	Error_Msg_Text,
	'Exception Recovery: ',
	Error_Recovery,
	'Exception Reported Date/Time: ',
	Reported_DtTm
FROM
	BWM.Exception_Log
WHERE
	DATE(Reported_DtTm) >=  '04/04/2004'
ORDER BY
	Reported_DtTm;

